lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'immature/version'

Gem::Specification.new do |spec|
  spec.name          = 'immature'
  spec.version       = Immature::VERSION
  spec.author        = ['Justin Workman']
  spec.email         = ['xtagon@gmail.com']
  spec.summary       = 'Add silly, immature endings to sentences.'
  spec.description   = 'A ruby module to add silly, immature endings to sentences.'
  spec.license       = 'MIT'

  spec.metadata      = { 'rubygems_mfa_required' => 'true' }

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.post_install_message = 'Immature is now installed in your pants.'

  spec.add_runtime_dependency 'treat', '~> 2.1'

  spec.add_development_dependency 'bundler', '>= 2.2.10'
  spec.add_development_dependency 'rake', '~> 12.3'
  spec.add_development_dependency 'rspec', '~> 3.7'
  spec.add_development_dependency 'yard', '~> 0.9.12'
  spec.add_development_dependency 'redcarpet'
end
