require 'spec_helper'

describe Immature do
  describe '.make_fun_of' do
    it 'adds immature phrases to a sentence' do
      allow(Immature::PHRASES).to receive(:sample).and_return('in your pants')

      expect(Immature.make_fun_of('This is a test.')).to eq('This is a test in your pants.')
      expect(Immature.make_fun_of('Is this working?!')).to eq('Is this working in your pants?!')

      allow(Immature::PHRASES).to receive(:sample).and_return('in bed')

      expect(Immature.make_fun_of('This is a test.')).to eq('This is a test in bed.')
      expect(Immature.make_fun_of('Is this working?!')).to eq('Is this working in bed?!')
    end
  end
end
